> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 刪除資料集

> 刪除資料集、其區塊及其嵌入向量

## 請求

```bash theme={null}
DELETE https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets/{datasetId}
```

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>
<ParamField path="knowledgebaseId" type="string" required>包含此資料集的知識庫</ParamField>
<ParamField path="datasetId" type="string" required>要刪除的資料集</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

## 回應

```json theme={null}
{
  "message": "Dataset deleted successfully"
}
```

### 範例

```bash theme={null}
curl -X DELETE https://api.pathors.com/v1/projects/{projectId}/knowledgebases/kb_abc123/datasets/dataset_xyz789 \
  -H "Authorization: Bearer dk_your_key"
```

<Warning>
  此操作無法復原。原始檔案、所有區塊及所有嵌入向量都會被永久移除。來自此資料集的搜尋結果會立即停止出現。
</Warning>

資料集必須屬於指定的知識庫 — 跨知識庫刪除會回傳 `403`。
